classification
Title: argparse docs cross reference Namespace as a class but the Namespace class is not documented
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: bethard Nosy List: bethard, docs@python, eric.araujo, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2010-06-12 13:44 by r.david.murray, last changed 2011-07-29 16:13 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
fix-argparse-class-directive.diff eric.araujo, 2011-06-10 17:07
Messages (8)
msg107653 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-06-12 13:44
I wanted to find out if Namespace supported lookup by subscripting (args['someopt']), but the docs are silent on what Namespace is.  (The answer, by the way, appears to be "no"; there is a feature request for this in issue 8979).
msg107695 - (view) Author: Steven Bethard (bethard) * (Python committer) Date: 2010-06-12 20:34
That's right, it doesn't support subscripting. The docs are silent on what namespace is mainly because I don't want to commit to anything other than an object with attributes. But that could be made clearer in the docs.
msg132263 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-26 18:59
New changeset 423b50086b67 by Steven Bethard in branch '3.2':
Issue #8982: Improve the documentation for the argparse Namespace object.
http://hg.python.org/cpython/rev/423b50086b67

New changeset d832756a82d9 by Steven Bethard in branch 'default':
Issue #8982: Improve the documentation for the argparse Namespace object. (Merge from 3.2.)
http://hg.python.org/cpython/rev/d832756a82d9

New changeset fe72160ea2a3 by Steven Bethard in branch '2.7':
Issue #8982: Improve the documentation for the argparse Namespace object. (Merge from 3.2.)
http://hg.python.org/cpython/rev/fe72160ea2a3
msg132264 - (view) Author: Steven Bethard (bethard) * (Python committer) Date: 2011-03-26 19:00
I fixed the docs here so that they're clearer about what the Namespace object is, and also so that they mention the `vars` approach if you want dict-style access.
msg134066 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-04-19 15:31
Attached patch adds a link target for :class:`Namespace` (already used in the docs) and adds a reference to it from for the first mentions of “namespace object”.

Use “hg import blah.diff” (after “hg up 3.2”) to get the patch in the repo directly (with checkin message and my committer name) or usual patch(1) if you want to make amendments.
msg138115 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-10 17:07
Patch refreshed.  If I get no negative feedback, I’ll commit it next week.
msg141394 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-29 16:11
New changeset 939631c6bc6f by Éric Araujo in branch '3.2':
Add a link target for argparse.Namespace (#8982)
http://hg.python.org/cpython/rev/939631c6bc6f
msg141395 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-29 16:13
New changeset 01722022f88d by Éric Araujo in branch '2.7':
Add a link target for argparse.Namespace (#8982)
http://hg.python.org/cpython/rev/01722022f88d
History
Date User Action Args
2012-11-28 18:34:11chris.jerdoneklinkissue11076 superseder
2011-07-29 16:13:47python-devsetmessages: + msg141395
2011-07-29 16:11:14python-devsetmessages: + msg141394
2011-06-10 17:07:02eric.araujosetfiles: + fix-argparse-class-directive.diff

messages: + msg138115
2011-06-10 17:06:36eric.araujosetfiles: - fix-argparse-class-directive.diff
2011-04-19 15:31:48eric.araujosetfiles: + fix-argparse-class-directive.diff
keywords: + patch
messages: + msg134066
2011-03-26 19:00:51bethardsetstatus: open -> closed
resolution: fixed
messages: + msg132264

stage: needs patch -> resolved
2011-03-26 18:59:33python-devsetnosy: + python-dev
messages: + msg132263
2011-03-25 15:28:50eric.araujosetnosy: + eric.araujo

versions: + Python 3.3
2010-06-12 20:34:43bethardsetmessages: + msg107695
versions: + Python 2.7
2010-06-12 13:44:28r.david.murraycreate